Indexes
Manage indexes
This page shows you how to manage your existing indexes.
The response will look like this:
The response will look like this:
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
AIMP_PROJECT_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://{baseUrl}/{apiVersion}/projects/{projectId}/indexes" \
-H "content-type: application/json" \
-H "x-api-key: $AIMP_PROJECT_API_KEY"
{
"indexes": [
{
"projectId": "<string>",
"indexName": "<string>",
"mappings": {},
"numDocs": 123,
"cloneSourceInfo": {
"sourceProjectId": "<string>",
"sourceIndexName": "<string>",
"sourceIndexVersionId": "<string>"
},
"indexStatus": "ACTIVE",
"indexClass": "STANDARD"
}
]
}
AIMP_PROJECT_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://{baseUrl}/{apiVersion}/projects/{projectId}/indexes/{indexName}" \
-H "content-type: application/json" \
-H "x-api-key: $AIMP_PROJECT_API_KEY"
{
"projectId": "<string>",
"indexName": "<string>",
"mappings": {},
"numDocs": 123,
"cloneSourceInfo": {
"sourceProjectId": "<string>",
"sourceIndexName": "<string>",
"sourceIndexVersionId": "<string>"
},
"indexStatus": "ACTIVE",
"indexClass": "STANDARD"
}
AIMP_PROJECT_API_KEY="YOUR_API_KEY"
curl -i -X DELETE "https://{baseUrl}/{apiVersion}/projects/{projectId}/indexes/{indexName}" \
-H "content-type: application/json" \
-H "x-api-key: $AIMP_PROJECT_API_KEY"